clear all
clf
clc

pos=4;

fid = fopen('exe.txt');
tline = fgets(fid);
fclose(fid);

for i=1:length(tline)
    if tline(i)=='_';
        tline(i)='-';
    end
    
    if tline(i)=='-'
        under=i;
    elseif tline(i)=='.'
        dot=i;
    end   
end

ext=tline(under+1:dot-1);


%% Case 4
figure(1)
subplot(2,2,1)
pp=load('exp4.dat');

x4=pp(:,1)*100;
h4=pp(:,8);
n4=find(h4==0);
h4(n4)=NaN;

plot(x4,h4,'ro');
hold on
axis([0 1000 0 10]);
t1=['Exp. ',num2str(4)];
text(800,9.2,t1);
xlabel('x (cm)');
ylabel('H_s (cm)');

%% Case 4, Goda
pg=load('case4_Goda_selhts.out');
xe=850-(pg(:,2)*10-5);
hl=pg(:,4)*100;
plot(xe,hl,'g');

[rmse_4(1),R2_4(1),bias_4(1),mae_4(1)]=Visser_stats(xe,hl,x4,h4);

%% Case 4, Miche
pm=load('case4_Miche_selhts.out');
hd=pm(:,4)*100;
plot(xe,hd,'m-.');

[rmse_4(2),R2_4(2),bias_4(2),mae_4(2)]=Visser_stats(xe,hd,x4,h4);

%% Case 4, BJ
pb=load('case4_BJ_selhts.out');
he=pb(:,4)*100;
plot(xe,he,'b-.');

[rmse_4(3),R2_4(3),bias_4(3),mae_4(3)]=Visser_stats(xe,he,x4,h4);

%% Case 4, CK
pc=load('case4_CK_selhts.out');
hm=pc(:,4)*100;
plot(xe,hm,'k:','linewidth',1.5);

[rmse_4(4),R2_4(4),bias_4(4),mae_4(4)]=Visser_stats(xe,hm,x4,h4);

hleg = legend('Data','Goda','Miche','B&J','C&K',pos);
set(hleg,'FontSize',8)

fid=fopen('V4-7_stats.txt','w');
fprintf(fid,'%s\t %s\t\t %s\t\t %s\t\t %s\n','','RMSE','R2','MAE','Norm. mean bias');
fprintf(fid,'%s\t\n','Case 4');
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','Goda',rmse_4(1),R2_4(1),mae_4(1),bias_4(1));
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','Miche',rmse_4(2),R2_4(2),mae_4(2),bias_4(2));
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','BJ',rmse_4(3),R2_4(3),mae_4(3),bias_4(3));
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','CK',rmse_4(4),R2_4(4),mae_4(4),bias_4(4));
fclose(fid);

%% Case 5
figure(1)
subplot(2,2,2)

pp5=load('exp5.dat');

x5=pp5(:,1)*100;
h5=pp5(:,8);
n5=find(h5==0);
h5(n5)=NaN;

plot(x5,h5,'ro');
hold on
axis([0 1000 0 12]);
t1=['Exp. ',num2str(5)];
text(800,11.2,t1);
xlabel('x (cm)');
ylabel('H_s (cm)');

%% Case 5, Goda
pg=load('case5_Goda_selhts.out');
xe=850-(pg(:,2)*10-5);
hl=pg(:,4)*100;
plot(xe,hl,'g');

[rmse_5(1),R2_5(1),bias_5(1),mae_5(1)]=Visser_stats(xe,hl,x5,h5);

%% Case 5, Miche
pm=load('case5_Miche_selhts.out');
hd=pm(:,4)*100;
plot(xe,hd,'m-.');

[rmse_5(2),R2_5(2),bias_5(2),mae_5(2)]=Visser_stats(xe,hd,x5,h5);

%% Case 5, BJ
pb=load('case5_BJ_selhts.out');
he=pb(:,4)*100;
plot(xe,he,'b-.');

[rmse_5(3),R2_5(3),bias_5(3),mae_5(3)]=Visser_stats(xe,he,x5,h5);

%% Case 5, CK
pc=load('case5_CK_selhts.out');
hm=pc(:,4)*100;
plot(xe,hm,'k:','linewidth',1.5);

[rmse_5(4),R2_5(4),bias_5(4),mae_5(4)]=Visser_stats(xe,hm,x5,h5);

hleg = legend('Data','Goda','Miche','B&J','C&K',pos);
set(hleg,'FontSize',8)

fid=fopen('V4-7_stats.txt','a');
fprintf(fid,'%s\t\n','Case 5');
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','Goda',rmse_5(1),R2_5(1),mae_5(1),bias_5(1));
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','Miche',rmse_5(2),R2_5(2),mae_5(2),bias_5(2));
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','BJ',rmse_5(3),R2_5(3),mae_5(3),bias_5(3));
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','CK',rmse_5(4),R2_5(4),mae_5(4),bias_5(4));

%% Case 6
figure(1)
subplot(2,2,3)

pp6=load('exp6.dat');

x6=pp6(:,1)*100;
h6=pp6(:,8);
n6=find(h6==0);
h6(n6)=NaN;

plot(x6,h6,'ro');
hold on
axis([0 1000 0 10]);
t1=['Exp. ',num2str(6)];
text(800,9.2,t1);
xlabel('x (cm)');
ylabel('H_s (cm)');

%% Case 6, Goda
pg=load('case6_Goda_selhts.out');
xe=850-(pg(:,2)*10-5);
hl=pg(:,4)*100;
plot(xe,hl,'g');

[rmse_6(1),R2_6(1),bias_6(1),mae_6(1)]=Visser_stats(xe,hl,x6,h6);

%% Case 6, Miche
pm=load('case6_Miche_selhts.out');
hd=pm(:,4)*100;
plot(xe,hd,'m-.');

[rmse_6(2),R2_6(2),bias_6(2),mae_6(2)]=Visser_stats(xe,hd,x6,h6);

%% Case 6, BJ
pb=load('case6_BJ_selhts.out');
he=pb(:,4)*100;
plot(xe,he,'b-.');

[rmse_6(3),R2_6(3),bias_6(3),mae_6(3)]=Visser_stats(xe,he,x6,h6);

%% Case 6, CK
pc=load('case6_CK_selhts.out');
hm=pc(:,4)*100;
plot(xe,hm,'k:','linewidth',1.5);

[rmse_6(4),R2_6(4),bias_6(4),mae_6(4)]=Visser_stats(xe,hm,x6,h6);

hleg = legend('Data','Goda','Miche','B&J','C&K',pos);
set(hleg,'FontSize',8)

fprintf(fid,'%s\t\n','Case 6');
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','Goda',rmse_6(1),R2_6(1),mae_6(1),bias_6(1));
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','Miche',rmse_6(2),R2_6(2),mae_6(2),bias_6(2));
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','BJ',rmse_6(3),R2_6(3),mae_6(3),bias_6(3));
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','CK',rmse_6(4),R2_6(4),mae_6(4),bias_6(4));

%% Case 7
figure(1)
subplot(2,2,4)

pp7=load('exp7.dat');

x7=pp7(:,1)*100;
h7=pp7(:,8);
n7=find(h7==0);
h7(n7)=NaN;

plot(x7,h7,'ro');
hold on
axis([0 1000 0 10]);
t1=['Exp. ',num2str(7)];
text(800,9.2,t1);
xlabel('x (cm)');
ylabel('H_s (cm)');

%% Case 7, Goda
pg=load('case7_Goda_selhts.out');
xe=850-(pg(:,2)*10-5);
hl=pg(:,4)*100;
plot(xe,hl,'g');

[rmse_7(1),R2_7(1),bias_7(1),mae_7(1)]=Visser_stats(xe,hl,x7,h7);

%% Case 7, Miche
pm=load('case7_Miche_selhts.out');
hd=pm(:,4)*100;
plot(xe,hd,'m-.');

[rmse_7(2),R2_7(2),bias_7(2),mae_7(2)]=Visser_stats(xe,hd,x7,h7);

%% Case 7, BJ
pb=load('case7_BJ_selhts.out');
he=pb(:,4)*100;
plot(xe,he,'b-.');

[rmse_7(3),R2_7(3),bias_7(3),mae_7(3)]=Visser_stats(xe,he,x7,h7);

%% Case 7, CK
pc=load('case7_CK_selhts.out');
hm=pc(:,4)*100;
plot(xe,hm,'k:','linewidth',1.5);

[rmse_7(4),R2_7(4),bias_7(4),mae_7(4)]=Visser_stats(xe,hm,x7,h7);

hleg = legend('Data','Goda','Miche','B&J','C&K',pos);
set(hleg,'FontSize',8)

fprintf(fid,'%s\t\n','Case 7');
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','Goda',rmse_7(1),R2_7(1),mae_7(1),bias_7(1));
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','Miche',rmse_7(2),R2_7(2),mae_7(2),bias_7(2));
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','BJ',rmse_7(3),R2_7(3),mae_7(3),bias_7(3));
fprintf(fid,'%s\t %2.4f\t %2.4f\t %2.4f\t %2.4f\n','CK',rmse_7(4),R2_7(4),mae_7(4),bias_7(4));

axes('Position',[0 0 1 1],'Visible','off');
text(0.80,0.02,tline,'FontSize',6)
outputtiff=strcat('Visser4-7','_',ext,'.tiff');
saveas(gcf,outputtiff);
fclose(fid);

exit
